stages:
- lint_checking
- test
- build

lint_backend:
    stage: lint_checking
    image: node:8
    script: "cd backend && npm install && npm run lint"
    
lint_frontend:
    stage: lint_checking
    image: node:8
    script: "cd frontend && npm install && npm run lint"

test_backend:
    stage: test
    image: node:8
    script: "cd backend && npm install -g mocha && npm install && npm test"

test_frontend:
    stage: test
    image: node:8
    script: "cd frontend && npm install && npm test"
    
build_backend:
    stage: build
    image: node:8
    script: "cd backend && npm install -g jszip-cli && npm install && jszip . --output backend.zip"
    artifacts:
        paths:
            - backend/backend.zip

build_frontend:
    stage: build
    image: node:8
    script: "cd frontend && npm install -g jszip-cli && npm install && npm build && jszip . --output frontend.zip"
    artifacts:
        paths:
            - frontend/frontend.zip